IncreaseContainersResourceRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: IncreaseContainersResourceRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class IncreaseContainersResourceRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.IncreaseContainersResourceRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.IncreaseContainersResourceRequestPBImpl

@Private @Unstable public class IncreaseContainersResourceRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.IncreaseContainersResourceRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncreaseContainersResourceRequestPBImpl()`
  `IncreaseContainersResourceRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.IncreaseContainersResourceRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `List<org.apache.hadoop.yarn.api.records.Token>`
  `getContainersToIncrease()`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.IncreaseContainersResourceRequestProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setContainersToIncrease(List<org.apache.hadoop.yarn.api.records.Token> containersToIncrease)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.IncreaseContainersResourceRequest

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IncreaseContainersResourceRequestPBImpl

    public IncreaseContainersResourceRequestPBImpl()

  - ### IncreaseContainersResourceRequestPBImpl

    public IncreaseContainersResourceRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.IncreaseContainersResourceRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.IncreaseContainersResourceRequestProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContainersToIncrease

    public List<org.apache.hadoop.yarn.api.records.Token> getContainersToIncrease()
    Specified by:
      `getContainersToIncrease` in class `org.apache.hadoop.yarn.api.protocolrecords.IncreaseContainersResourceRequest`

  - ### setContainersToIncrease

    public void setContainersToIncrease(List<org.apache.hadoop.yarn.api.records.Token> containersToIncrease)
    Specified by:
      `setContainersToIncrease` in class `org.apache.hadoop.yarn.api.protocolrecords.IncreaseContainersResourceRequest`